Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 188440 - Review Request: dispatcher
Summary: Review Request: dispatcher
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-04-10 00:44 UTC by Damien Durand
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-29 15:26:25 UTC


Attachments (Terms of Use)

Description Damien Durand 2006-04-10 00:44:54 UTC
Spec Name or Url: http://glive.tuxfamily.org/fedora/dispatcher/dispatcher.spec
SRPM Name or Url: http://glive.tuxfamily.org/fedora/dispatcher/dispatcher-0.4.6-1.fc6.src.rpm

Description: Dispatcher is a short time scheduler simulator. It was implemented for Operating Systems examination at Naples University Federico II. Fcfs, round robin, virtula round robin and priority schedulers are now available.

Comment 1 John Mahowald 2006-04-21 04:52:01 UTC
* Remove the entire Requires line, rpm can figure it out from BuildRequires

* Keep lines to 80 characters or less (%description)

* Do not include /usr/share/doc, it is part of the standard hierarchy, the %doc
macro does that

* Do not include static archives if they are not needed. If they are used to
compile against split them off into a devel sub package.

See the packaging guideslines on the wiki.

Comment 2 Chitlesh GOORAH 2006-06-18 18:33:56 UTC
This is not an official review.

As said below,

(In reply to comment #1)
> * Remove the entire Requires line, rpm can figure it out from BuildRequires
> 

drop libglade2 as Requires

> * Keep lines to 80 characters or less (%description)

Break your description in 4 lines, like :

Dispatcher is a short time scheduler simulator.
It was implemented for Operating Systems examination 
at Naples University Federico II. Fcfs, round robin, 
virtula round robin and priority schedulers are now available.

 
> * Do not include /usr/share/doc, it is part of the standard hierarchy, the %doc
> macro does that

yes, remove the line %{_datadir}/*

Ill advise you to use %{_docdir}/%{name}/* rather than %{_datadir}/doc/%{name}/*


> 
 
> See the packaging guideslines on the wiki.


include in both %post and %postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

so that it could look as
%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

in desktop-file-install add     --add-category Engineering \

drop the zero-length %doc - CREDITS AUTHORS ChangeLog TODO

Here is my updated spec file, 
http://beta.glwb.info/dispatcher.spec

maybe you can use it afterwards, bear in mind that the following are not yet fixed: 


> * Do not include static archives if they are not needed. If they are used to
> compile against split them off into a devel sub package.

W: dispatcher devel-file-in-non-devel-package /usr/lib/dispatcher/libfcfs.a
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

W: dispatcher devel-file-in-non-devel-package /usr/lib/dispatcher/librr.a
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

W: dispatcher devel-file-in-non-devel-package /usr/lib/dispatcher/libpriority.a
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

W: dispatcher devel-file-in-non-devel-package /usr/lib/dispatcher/libvrr.a
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

Comment 3 John Mahowald 2006-08-21 15:11:06 UTC
Ping. Please comment in a week if you are still interested in packaging this.

Comment 4 John Mahowald 2006-08-29 15:26:25 UTC
Closing.


Note You need to log in before you can comment on or make changes to this bug.